package com.nisum.webfluxday2;

import com.nisum.webfluxday2.model.ProductResponse;
import org.reactivestreams.Subscriber;
import org.reactivestreams.Subscription;
public class ProductSubscriber  implements Subscriber<ProductResponse> {
    @Override
    public void onSubscribe(Subscription subscription) {
        System.out.println("subscribed");

    }

    @Override
    public void onNext(ProductResponse productResponse) {
        System.out.println(productResponse.getId());

    }

    @Override
    public void onError(Throwable throwable) {
        System.out.println("onError");

    }

    @Override
    public void onComplete() {
        System.out.println("onComplete");

    }
}
