package com.nisum.webfluxday2;

import com.nisum.webfluxday2.model.ProductResponse;
import org.springframework.web.reactive.function.client.WebClient;
import reactor.core.publisher.Mono;

public class WebClientTest {
    public static void main(String[] args) {
        WebClient webClient = WebClient.create("http://localhost:8080/products/608347c698dbca1113ceb613");
        Mono<ProductResponse> mono = webClient.get().retrieve().bodyToMono(ProductResponse.class);
        mono.subscribe(new ProductSubscriber());
    }
}
